%define xmms_inputdir %(xmms-config --input-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Input)

Summary: X MultiMedia System input plugin to play speex files
Name: xmms-speex
Version: 0.9.1
Release: 8%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://jzb.rapanden.dk/projects/speex-xmms
Source: http://jzb.rapanden.dk/pub/speex-xmms-%{version}.tar.gz
Patch0: speex-xmms-0.9.1.patch
Patch1: speex-xmms-0.9.1-gcc4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: xmms-devel, speex-devel, libogg-devel


%description
X MultiMedia System input plugin to play speex files.


%prep
%setup -n speex-xmms
%patch0 -p1
%patch1 -p1 -b .gcc4


%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags} -fPIC"


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc COPYING README
%{xmms_inputdir}/libspeex.so


%changelog
* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.9.1-8
- FC6 rebuild.

* Tue Aug 22 2006 Matthias Saou <http://freshrpms.net/> 0.9.1-7
- Rebuild (#203458 for devel and #203476 for FC5).

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.9.1-6
- Rebuild for new gcc/glibc.

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-5
- Include gcc4 patch from Michael Schwendt.
- The URL and Source headers no longer to point to a valid location, but no
  better one can be found (yet?).

* Tue Nov 16 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-4
- Bump release to provide Extras upgrade path.

* Mon Jul  5 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-3
- Fix for x86_64.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-2
- Rebuild for Fedora Core 2.

* Mon Jan  5 2004 Matthias Saou <http://freshrpms.net/> 0.9.1-1
- Initial rpm package.

